<?php

namespace DefStudio\GameEngine\Listeners\Users;

use DefStudio\GameEngine\Events\Teams\UserUnsubscribedFromTeam;

class UserUnsubscribedFromTeamListener
{
    public function handle(UserUnsubscribedFromTeam $event): void
    {
        $event->user->unsetRelation('teams');
        $event->user->unsetRelation('current_teams');
    }
}
